--- doc/src/sgml/datatype.sgml.orig	2014-02-09 14:27:55.264512678 +0100
+++ doc/src/sgml/datatype.sgml	2014-02-09 14:36:47.758675826 +0100
@@ -4254,8 +4254,8 @@
     There are two JSON data types: <type>json</type> and <type>jsonb</type>.
     Both accept identical sets of values as input. The difference is primarily
     a matter of efficiency. The <type>json</type> data type stores an exact
-    copy of the the input text, and the processing functions have to reparse
-    it to precess it, while the <type>jsonb</type> is stored in a decomposed
+    copy of the input text, and the processing functions have to reparse
+    it to process it, while the <type>jsonb</type> is stored in a decomposed
     form that makes it slightly less efficient to input but very much faster
     to process, since it never needs reparsing.
    </para>
@@ -4275,7 +4275,7 @@
 
    <para>
     In general, most applications will find it advantageous to store JSON data
-    as <type>jsonb</type>, unless they have quite specialised needs.
+    as <type>jsonb</type>, unless they have quite specialized needs.
    </para>
 
    <para>